<?php
  
/*
-------------------------
Переход по внешней ссылке
-------------------------
*/ 
  
$url = HTMLSPECIALCHARS(BASE64_DECODE(LINKS_FILTER(GET('data'))));
  
IF ($url){
  
  //Навигация
  ECHO "<div class='navigation'>";
  ECHO "<a href='?'>".ICONS('home', 25, 'fa-fw')."</a>";
  ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
  ECHO "".LG('Переход по внешней ссылке')."";
  ECHO "</div>";
  
  ECHO "<div class='list'>";
  
  ECHO LG('Вы собираетесь перейти по внешней ссылке:')." <b>".$url."</b>.<br /><br />";
  ECHO LG('Администрация')." <b>".HTTP_HOST."</b> ".LG('НЕ несет ответственности за содержимое ссылки. Вы действительно хотите перейти по ссылке')."?<br /><br />";
  
  ECHO "<a href='".$url."' class='btn' load='none'>".LG('Да, перейти')."</a>";
  ECHO "<a href='/' class='btn-o'>".LG('Нет, остаться')."</a>";
  
  ECHO "</div>";
  
  //Навигация
  ECHO "<div class='navigation'>";
  ECHO "<a href='?'>".ICONS('home', 25, 'fa-fw')."</a>";
  ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
  ECHO "".LG('Переход по внешней ссылке')."";
  ECHO "</div>";
  
}ELSE{
  
  ERROR('Неверный URL');
  REDIRECT('/index');
  
}
  
?>